Execute Policy Action
curl --request POST \
--url https://sandbox.axle.insure/policies/{policyId}/actions \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"operation": "request-primary-lienholder"
}
'import requests
url = "https://sandbox.axle.insure/policies/{policyId}/actions"
payload = { "operation": "request-primary-lienholder" }
headers = {
"x-client-id": "<x-client-id>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({operation: 'request-primary-lienholder'})
};
fetch('https://sandbox.axle.insure/policies/{policyId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "pla_mZj6YGXhQyQnccN97aXbq",
"processesInstantly": true
}
}{
"success": false,
"errorCode": "policy-action-not-supported",
"message": "Policy action \"request-primary-lienholder\" is not supported for this policy."
}{
"success": false,
"errorCode": "default",
"message": "Oops something went wrong. Please try again later."
}Policies
Execute Policy Action
Execute an action on a policy on behalf of your user. Once submitted, Axle will process the request.
For more details on supported operations and error codes, see the Policy Actions guide.
POST
/
policies
/
{policyId}
/
actions
Execute Policy Action
Authorizations
Your secret API key. This will be shared with you during onboarding and should be considered sensitive - it’s a password after all! Your secret will be matched with your client ID to authenticate your requests.
Headers
Your client ID. This will be shared with you during onboarding.
The client ID of the destination client. This is optional and only used by platform clients. See the Axle for Platforms guide for more information.
Path Parameters
The unique ID for the policy to execute the action on.
Body
application/json
The policy action operation to execute.
Available options:
request-primary-lienholder Was this page helpful?